## org.apache.batik.dom.svg
Class AbstractSVGLengthList.LengthListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGLengthList.LengthListBuilder

All Implemented Interfaces:
  LengthHandler, LengthListHandler

Enclosing class:
  AbstractSVGLengthList

protected class AbstractSVGLengthList.LengthListBuilder
extends java.lang.Object
implements LengthListHandler

Helper class to interface the `LengthListParser` and the `ListHandler`

Field Summary
`protected short` `currentType`
`protected float` `currentValue`
`protected ListHandler` `listHandler` list handler.

Constructor Summary
`AbstractSVGLengthList.LengthListBuilder(ListHandler listHandler)`

Method Summary
`void` `cm()` Implements `LengthHandler.cm()`.
`void` `em()` Implements `LengthHandler.em()`.
`void` `endLength()` Implements `LengthHandler.endLength()`.
`void` `endLengthList()` Invoked when the length attribute ends.
`void` `ex()` Implements `LengthHandler.ex()`.
`void` `in()` Implements `LengthHandler.in()`.
`void` `lengthValue(float v)` Implements `LengthHandler.lengthValue(float)`.
`void` `mm()` Implements `LengthHandler.mm()`.
`void` `pc()` Implements `LengthHandler.pc()`.
`void` `percentage()` Implements `LengthHandler.percentage()`.
`void` `pt()` Implements `LengthHandler.pt()`.
`void` `px()` Implements `LengthHandler.px()`.
`void` `startLength()` Implements `LengthHandler.startLength()`.
`void` `startLengthList()` Invoked when the length list attribute starts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

  list handler.

### currentValue

    protected float currentValue

### currentType

    protected short currentType

Constructor Detail

### AbstractSVGLengthList.LengthListBuilder

    public AbstractSVGLengthList.LengthListBuilder(ListHandler listHandler)

Method Detail

### startLengthList

    public void startLengthList()
                         throws ParseException

  Description copied from interface: `LengthListHandler`
  Invoked when the length list attribute starts.

  Specified by:
    `startLengthList` in interface `LengthListHandler`
  Throws:
    `ParseException` - if an error occures while processing the length list.

### startLength

    public void startLength()
                     throws ParseException

  Implements `LengthHandler.startLength()`.

  Specified by:
    `startLength` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### lengthValue

    public void lengthValue(float v)
                     throws ParseException

  Implements `LengthHandler.lengthValue(float)`.

  Specified by:
    `lengthValue` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### em

    public void em()
            throws ParseException

  Implements `LengthHandler.em()`.

  Specified by:
    `em` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### ex

    public void ex()
            throws ParseException

  Implements `LengthHandler.ex()`.

  Specified by:
    `ex` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### in

    public void in()
            throws ParseException

  Implements `LengthHandler.in()`.

  Specified by:
    `in` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### cm

    public void cm()
            throws ParseException

  Implements `LengthHandler.cm()`.

  Specified by:
    `cm` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### mm

    public void mm()
            throws ParseException

  Implements `LengthHandler.mm()`.

  Specified by:
    `mm` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### pc

    public void pc()
            throws ParseException

  Implements `LengthHandler.pc()`.

  Specified by:
    `pc` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### pt

    public void pt()
            throws ParseException

  Implements `LengthHandler.pt()`.

  Specified by:
    `pt` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### px

    public void px()
            throws ParseException

  Implements `LengthHandler.px()`.

  Specified by:
    `px` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### percentage

    public void percentage()
                    throws ParseException

  Implements `LengthHandler.percentage()`.

  Specified by:
    `percentage` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### endLength

    public void endLength()
                   throws ParseException

  Implements `LengthHandler.endLength()`.

  Specified by:
    `endLength` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### endLengthList

    public void endLengthList()
                       throws ParseException

  Description copied from interface: `LengthListHandler`
  Invoked when the length attribute ends.

  Specified by:
    `endLengthList` in interface `LengthListHandler`
  Throws:
    `ParseException` - if an error occures while processing the length list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.